import type { Action, ExtensionAuto } from '../../../core';
import { type CheckboxSpecsOptions } from './CheckboxSpecs';
import './index.css';
declare const checkboxAction = "addCheckbox";
export { CheckboxAttr, CheckboxNode, checkboxType, checkboxLabelType, checkboxInputType, } from './CheckboxSpecs';
export declare type CheckboxOptions = Pick<CheckboxSpecsOptions, 'checkboxLabelPlaceholder'> & {};
export declare const Checkbox: ExtensionAuto<CheckboxOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [checkboxAction]: Action;
        }
    }
}
