import { YfmFilePaste } from './YfmFilePaste';
import { YfmFileSpecs } from './YfmFileSpecs';
import { YfmFileWidget } from './YfmFileWidget';
import '@diplodoc/file-extension/runtime/styles.css';
import './index.css'; // eslint-disable-line import/order
export const YfmFile = (builder, opts = {}) => {
    builder.use(YfmFileSpecs, opts);
    builder.use(YfmFileWidget, opts);
    if (opts.fileUploadHandler) {
        builder.use(YfmFilePaste, {
            fileUploadHandler: opts.fileUploadHandler,
            needToSetDimensionsForUploadedImages: Boolean(opts.needToSetDimensionsForUploadedImages),
        });
    }
};
